Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227082 - Review Request: maven-scm-1.0-0.b3.2jpp - Basic API for lightweight logging
Summary: Review Request: maven-scm-1.0-0.b3.2jpp - Basic API for lightweight logging
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:45 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:03:04 UTC
dbhole: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:45:04 UTC
Spec URL: http://people.redhat.com/rafaels/specs/maven-scm-1.0-0.b3.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven-scm-1.0-0.b3.2jpp.src.rpm
Description: Basic API for lightweight logging.

Tests for maven-scm.

Javadoc for maven-scm.

Comment 1 Tania Bento 2007-02-27 19:58:30 UTC
Here are the links to an updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/259/maven-scm.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/260/maven-scm-1.0-0.1.b3.2jpp.1.src.rpm

Comment 2 Deepak Bhole 2007-03-07 00:48:59 UTC
X = error

MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?

 - OSI-approved
 OK

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

* license field matches the actual license.
 OK

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

X * verify source and patches (md5sum matches upstream, know what the patches do)
  - if upstream doesn't release source drops, put *clear* instructions on
    how to generate the the source drop; ie. 
   # svn export blah/tag blah
   # tar cjf blah-version-src.tar.bz2 blah

   Change 'tar czf maven-scm.tar.gz maven-scm/' to:
   'tar czf maven-scm-1.0-beta-3.tar.gz maven-scm/'

* skim the summary and description for typos, etc.
 OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

* license text included in package and marked with %doc
 OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

X * rpmlint on <this package>.srpm gives no output
  - justify warnings if you think they shouldn't be there
  W: maven-jxr non-standard-group Development/Java
  W: maven-jxr no-documentation
  W: maven-jxr non-standard-group Development/Java
  W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)

  First 3 are OK. Last one should be fixed.


* changelog should be in one of these formats:
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK

* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 N/A (see below)

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK on jpackage stack

* BuildRequires are proper
 - builds in mock will flush out problems here
 N/A (see end)

X * summary should be a short and concise description of the package
  Summary is incorrect. Should be:
  'Common API for doing SCM operations'

X * description expands upon summary (don't include installation
    instructions)
  Description should change to (with 80 char limit / line):

  Maven SCM supports Maven 2.x plugins (e.g. maven-release-plugin) and other
  tools (e.g. Continuum) in providing them a common API for doing SCM
  operations. 

X * make sure lines are <= 80 characters
    Comment on line 117 needs to be broken up. See above.

* specfile written in American English
 OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

* config files should usually be marked with %config(noreplace)
 OK

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 

* run rpmlint on the binary RPMs

SHOULD:
* package should include license text in the package and mark it with %doc
 OK

* package should build on i386
 OK on jpp stack (see below)

* package should build in mock
 OK on jpp stack after correcting BR's as specified below.

Additional notes:

1. Correct BR's/Requires to:

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  maven2 >= 2.0.4-6
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-common-poms >= 1.0-3
BuildRequires:  modello >= 1.0-0.a8
BuildRequires:  modello-maven-plugin >= 1.0-0.a8
BuildRequires:  plexus-utils >= 1.2
BuildRequires:  saxon-scripts

Requires:       junit >= 3.8.2
Requires:       jakarta-commons-collections >= 3.1
Requires:       modello >= 1.0-0.a8
Requires:       modello-maven-plugin >= 1.0-0.a8
Requires:       oro >= 2.0.8
Requires:       plexus-utils >= 1.2
Requires:       velocity >= 1.4

2. At the top of the spec file, change '%define _with_gcj_support 0' to:
   %define _with_gcj_support 1

3. Package was built on jpackage stack as it requires maven2 to compile.


Comment 3 Deepak Bhole 2007-03-07 01:19:06 UTC
Also, delete the %define gcj_support 0 there..

Comment 4 Tania Bento 2007-03-13 19:22:33 UTC
> X * verify source and patches (md5sum matches upstream, know what the patches do)
>   - if upstream doesn't release source drops, put *clear* instructions on
>     how to generate the the source drop; ie. 
>    # svn export blah/tag blah
>    # tar cjf blah-version-src.tar.bz2 blah
> 
>    Change 'tar czf maven-scm.tar.gz maven-scm/' to:
>    'tar czf maven-scm-1.0-beta-3.tar.gz maven-scm/'

Fixed.
 
> X * rpmlint on <this package>.srpm gives no output
>   - justify warnings if you think they shouldn't be there
>   W: maven-jxr non-standard-group Development/Java
>   W: maven-jxr no-documentation
>   W: maven-jxr non-standard-group Development/Java
>   W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)
>
>   First 3 are OK. Last one should be fixed.

Fixed.

> X * summary should be a short and concise description of the package
>   Summary is incorrect. Should be:
>   'Common API for doing SCM operations'

Fixed.

> X * description expands upon summary (don't include installation
>     instructions)
>   Description should change to (with 80 char limit / line):
> 
>   Maven SCM supports Maven 2.x plugins (e.g. maven-release-plugin) and other
>   tools (e.g. Continuum) in providing them a common API for doing SCM
>   operations. 

Fixed.

> X * make sure lines are <= 80 characters
>     Comment on line 117 needs to be broken up. See above.

Fixed.

When you run rpmlint on the binary RPMS, you get the following output:
W: maven-scm non-standard-group Development/Java
W: maven-scm non-conffile-in-etc /etc/maven/fragments/maven-scm
W: maven-scm-javadoc non-standard-group Development/Documentation
--> These are okay.
E: maven-scm-javadoc zero-length 
/usr/share/javadoc/maven-scm-1.0/provider-clearcase/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-starteam/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-cvs-commons/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-bazaar/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/manager-plexus/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-cvsexe/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-svn-commons/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/client/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-perforce/package-list
E: maven-scm-javadoc zero-length /usr/share/javadoc/maven-scm-1.0/api/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-cvstest/package-list
E: maven-scm-javadoc zero-length /usr/share/javadoc/maven-scm-1.0/test/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-local/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-vss/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-svnexe/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/provider-svntest/package-list
E: maven-scm-javadoc zero-length
/usr/share/javadoc/maven-scm-1.0/plugin/package-list
--> These are okay because this is an autogenerated file and beyong packager
control.
W: maven-scm-test non-standard-group Development/Java
W: maven-scm-test no-documentation
--> These can be ignored.

 

Comment 5 Tania Bento 2007-03-13 19:26:22 UTC
Sorry... forgot to add the links to the updated spec file and source rpm.  Here
are they are:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/259/maven-scm.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/260/maven-scm-1.0-0.1.b3.2jpp.1.src.rpm

Comment 6 Deepak Bhole 2007-03-13 19:47:56 UTC
rpmlint message justification is acceptable.

APPROVED.

Comment 7 Deepak Bhole 2007-03-13 19:49:04 UTC
New Package CVS Request
=======================
Package Name: maven-jxr
Short Description: Common API for doing SCM operations
Owners: dbhole@redhat.com
Branches: devel

Comment 8 Deepak Bhole 2007-03-20 04:15:23 UTC
Re-requesting. I had the package name wrong. A module is needed for 'maven-scm'

New Package CVS Request
=======================
Package Name: maven-scm
Short Description: Common API for doing SCM operations
Owners: dbhole@redhat.com
Branches: devel

Comment 9 Jens Petersen 2007-03-20 08:19:35 UTC
done by dgilmore

Comment 10 Bernard Johnson 2007-04-11 22:46:59 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.